FROM python:alpine

ARG AWS_SAM_CLI_VERSION

RUN set -ex; \
    apk add --no-cache --virtual build-deps build-base; \
    apk add --no-cache bash; \
    pip --no-cache-dir install aws-sam-cli==${AWS_SAM_CLI_VERSION}; \
    apk del build-deps
